Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Create image variation

Deprecated
client.Images.NewVariation(ctx, body) (*ImagesResponse, error)
POST
/images/variations

This endpoint is retired and no longer available. Use the image edits endpoint with a GPT Image model and a prompt to create a variation of an image. The request and response schemas below describe the legacy contract.

Create image variation

package main

import (
  "bytes"
  "context"
  "fmt"
  "io"

  "github.com/openai/openai-go"
  "github.com/openai/openai-go/option"
)

func main() {
  client := openai.NewClient(
    option.WithAPIKey("My API Key"),
  )
  imagesResponse, err := client.Images.NewVariation(context.TODO(), openai.ImageNewVariationParams{
    Image: io.Reader(bytes.NewBuffer([]byte("Example data"))),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", imagesResponse.SafetyIdentifier)
}
Response example
{
  "created": 1589478378,
  "data": [
    {
      "url": "https://..."
    },
    {
      "url": "https://..."
    }
  ]
}
Parameters
body ImageNewVariationParams
Image param.Field[Reader]

The image to use as the basis for the variation(s). Must be a valid PNG file, less than 4MB, and square.

Model param.Field[ImageModel]
Optional

The legacy model used by the retired image variations endpoint. This endpoint no longer accepts requests.

N param.Field[int64]
Optional

The number of images to generate. Must be between 1 and 10.

minimum1
maximum10
ResponseFormat param.Field[ImageNewVariationParamsResponseFormat]
Optional

The format in which the generated images are returned. Must be one of url or b64_json. URLs are only valid for 60 minutes after the image has been generated.

Size param.Field[ImageNewVariationParamsSize]
Optional

The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024.

User param.Field[string]
Optional

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

Returns
type ImagesResponse struct{…}

The response from the image generation endpoint.

Created int64

The Unix timestamp (in seconds) of when the image was created.

formatunixtime
Background ImagesResponseBackground
Optional

The background parameter used for the image generation. Either transparent or opaque.

Data []Image
Optional

The list of generated images.

OutputFormat ImagesResponseOutputFormat
Optional

The output format of the generated or edited image.

Quality ImagesResponseQuality
Optional

The quality of the image generated. One of low, medium, high, xhigh, or max.

SafetyIdentifier string
Optional

The effective safety identifier used for safety monitoring and abuse detection. This is the non-empty safety_identifier from the request, or the deprecated user value when safety_identifier is omitted, null, or empty.

Size ImagesResponseSize
Optional

The image dimensions as a WIDTHxHEIGHT string, for example 1536x864.

SvgUsage ImagesResponseSvgUsage
Optional

Token usage for SVG authoring, separate from image rendering usage.

Usage ImagesResponseUsage
Optional

Token usage information for image generation with GPT Image models.

Returns Examples
Response example
{
  "created": 1589478378,
  "data": [
    {
      "url": "https://..."
    },
    {
      "url": "https://..."
    }
  ]
}